#
# spec file for package web500gw (Version 2.1b3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         web500gw
Copyright:    distributable
Group:        Networking/Utilities
Url:          http://www.tu-chemnitz.de/~fri/web500gw/
Provides:     webgw
Obsoletes:    webgw
Requires:     openldap2
Autoreqprov:  on
Summary:      A LDAP/X.500 Gateway
Version:      2.1b3
Release:      175
Source:       web500gw-%{version}.tar.bz2
Source1:      rc.web500gw
Source2:      rc.config.web500gw
Patch:        web500gw-%{version}.patch
Patch1:       web500gw-%{version}-ia64.patch
Patch2:       web500gw-%{version}-ldap.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
The program uses the LDAP protocol to talk to X.500.  You will need a
LDAP Server installed.
You find a LDAP-Server in the package openldap.

Authors:
--------
    Frank Richter <Frank.Richter@hrz.tu-chemnitz.de>

SuSE series: n

%prep
%setup
%patch
%patch1
%patch2

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/
install -m 755 %{S:1} $RPM_BUILD_ROOT/etc/init.d/web500gw
ln -sf ../../etc/init.d/web500gw $RPM_BUILD_ROOT/usr/sbin/rcweb500gw
install -d -m 755  $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.web500gw

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.web500gw
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.web500gw and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/web500gw

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README THIS_IS_A_BETA_RELEASE TODO doc makemessages.sh
%dir /etc/web500/
%config /etc/web500/*
%config /etc/init.d/web500gw
/usr/sbin/rcweb500gw
/var/adm/fillup-templates/rc.config.web500gw
/usr/sbin/web500gw
%doc %{_mandir}/man8/web500gw.8*

%changelog -n web500gw
* Tue Sep 25 2001 - kukuk@suse.de
- fix rc.config file
* Thu Sep 06 2001 - adostal@suse.cz
- fix requires (openldap to openldap2)
* Wed Sep 05 2001 - adostal@suse.cz
- fix for new openldap2 (v.2.0.12)
- create ldap.patch and adjust web500gw-2.1b3.patch
* Wed Jul 18 2001 - adostal@suse.cz
- update (and create sources) rc files ([rc/rc.config].web500gw)
- fix rc in spec file
* Wed May 23 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Fri Mar 16 2001 - kukuk@suse.de
- Fix requires (openldap -> openldap2)
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
- deactivated LDAP_DEBUG for now (needs source code changes)
- lots of modifications for ldap2 ...
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Mon Nov 27 2000 - cihlar@suse.cz
- moved /sbin/init.d -> /etc/init.d
- moved rcweb500gw from /sbin/ to /usr/sbin
* Fri Nov 24 2000 - cihlar@suse.cz
- renamed webgw -> web500gw
- change to new init script mechanism
* Mon Nov 20 2000 - cihlar@suse.cz
- bzipped sources
- added BuildRoot
- fixed copyright
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Sep 13 2000 - schwab@suse.de
- Fix varargs handling.
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Dec 21 1998 - choeger@suse.de
- new package 2.1b3
